Coming soon: We’re working on a brand new, revamped Community experience. Want to receive updates? Sign up now!

0 votes

Similar to another question from over a year ago...

Installation fails on

In install.packages(pkg, repos = repos, contriburl = ) :

  installation of package ‘rzmq’ had non-zero exit status

Execution halted

However to the previous response that points you here: https://doc.dataiku.com/dss/latest/installation/r.html

So I manually installed IRkernel but now installs an IRkernel depends on alternate zmq library... pbdZMQ.  So it still fails...

See my installed packages below.

> ip <- as.data.frame(installed.packages()[,c(1,3:4)])
> rownames(ip) <- NULL
> ip <- ip[is.na(ip$Priority),1:2,drop=FALSE]
> print(ip, row.names=FALSE)
    Package  Version
 assertthat      0.1
         BH 1.60.0-2
      chron   2.3-47
     crayon    1.3.2
       curl      2.1
 data.table    1.9.6
        DBI    0.5-1
   devtools   1.12.0
     digest   0.6.10
      dplyr    0.5.0
   evaluate      0.9
      git2r   0.15.0
       httr    1.2.1
  IRdisplay    0.4.4
   IRkernel      0.7
   jsonlite      1.1
   lazyeval    0.2.0
   magrittr      1.5
    memoise    1.0.0
       mime      0.5
    openssl    0.9.4
     pbdZMQ    0.2-4
         R6    2.2.0
       Rcpp   0.12.7
       repr      0.9
    RJSONIO    1.3-0
 rstudioapi      0.6
    stringi    1.1.2
    stringr    1.1.0
     tibble      1.2
       uuid    0.1-2
    whisker    0.3-2
      withr    1.0.2

by

1 Answer

+1 vote
Hi ryanfitz

could it be an older version of DSS? There was indeed a packaging change in the upstream version of IRKernel, which changed the underlying ZeroMQ library from rzmq to pbdzmq.

We have integrated this change in DSS 3.1.2. Installing R integration on this version or a later one should work seamlessly - do not hesitate to report back in case of further problem.

Regards
Patrice Bertin
Dataiku
by
1,339 questions
1,365 answers
1,557 comments
11,916 users

©Dataiku 2012-2018 - Privacy Policy